# Uses of Enum Class
org.opensaml.xacml.ctx.DecisionType.DECISION

Packages that use DecisionType.DECISION
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of DecisionType.DECISION in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return DecisionType.DECISION
Modifier and Type
Method
Description
`DecisionType.DECISION`
DecisionType.`getDecision()`
Gets the value of the decision.
`static DecisionType.DECISION`
DecisionType.DECISION.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DecisionType.DECISION[]`
DecisionType.DECISION.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.xacml.ctx with parameters of type DecisionType.DECISION
Modifier and Type
Method
Description
`void`
DecisionType.`setDecision(DecisionType.DECISION decision)`
Sets the value of the decision.

## Uses of DecisionType.DECISION in org.opensaml.xacml.ctx.impl

Fields in org.opensaml.xacml.ctx.impl declared as DecisionType.DECISION
Modifier and Type
Field
Description
`private DecisionType.DECISION`
DecisionTypeImpl.`decision`
Value for the decision.
Methods in org.opensaml.xacml.ctx.impl that return DecisionType.DECISION
Modifier and Type
Method
Description
`DecisionType.DECISION`
DecisionTypeImpl.`getDecision()`
Gets the value of the decision.
Methods in org.opensaml.xacml.ctx.impl with parameters of type DecisionType.DECISION
Modifier and Type
Method
Description
`void`
DecisionTypeImpl.`setDecision(DecisionType.DECISION dec)`
Sets the value of the decision.